Skip to main content
GET
/
v4
/
core
/
companies
/
{companyId}
/
inventory
List inventory
curl --request GET \
  --url https://api.integrations.commenda.io/v4/core/companies/{companyId}/inventory \
  --header 'api_key: <api-key>'
import requests

url = "https://api.integrations.commenda.io/v4/core/companies/{companyId}/inventory"

headers = {"api_key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {api_key: '<api-key>'}};

fetch('https://api.integrations.commenda.io/v4/core/companies/{companyId}/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "data": [
      {
        "rootfi_id": 123,
        "rootfi_created_at": "2023-11-07T05:31:56Z",
        "rootfi_updated_at": "2023-11-07T05:31:56Z",
        "platform_id": "<string>",
        "item_id": "<string>",
        "variant_id": "<string>",
        "description": "<string>",
        "sku": "<string>",
        "quantity": 123,
        "reserved_quantity": 123,
        "available_quantity": 123,
        "is_trackable": true,
        "reorder_level": 123,
        "reorder_quantity": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ],
    "total_count": 123,
    "next": "<string>",
    "prev": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

api_key
string
header
required

Your Commenda Integrations API key, sent in the api_key header.

Path Parameters

companyId
integer
required

Commenda company id.

Query Parameters

limit
integer
default:20

Max records to return.

Required range: x <= 100
next
string

Cursor for the next page (from a previous response).

prev
string

Cursor for the previous page.

include_deleted_records
boolean

Include soft-deleted records.

return_count
boolean

Include the total match count in the response.

item_id[eq]
string

Exact match on item_id.

item_id[in]
string

Comma-separated item_id values (OR match).

variant_id[eq]
string

Exact match on variant_id.

variant_id[in]
string

Comma-separated variant_id values (OR match).

sku[eq]
string

Exact match on sku.

sku[in]
string

Comma-separated sku values (OR match).

status[eq]
enum<string>

Exact match on status.

Available options:
IN_STOCK,
OUT_OF_STOCK,
LOW_STOCK,
DISCONTINUED,
UNKNOWN
status[in]
string

Comma-separated status values (OR match).

is_trackable[eq]
string

Exact match on is_trackable.

is_trackable[in]
string

Comma-separated is_trackable values (OR match).

rootfi_integration_type[eq]
string

Exact match on rootfi_integration_type.

rootfi_integration_type[in]
string

Comma-separated rootfi_integration_type values (OR match).

rootfi_updated_at[eq]
string

Exact match on rootfi_updated_at.

rootfi_updated_at[in]
string

Comma-separated rootfi_updated_at values (OR match).

rootfi_updated_at[gte]
string

rootfi_updated_at greater-than-or-equal.

rootfi_updated_at[lte]
string

rootfi_updated_at less-than-or-equal.

created_at[eq]
string

Exact match on created_at.

created_at[in]
string

Comma-separated created_at values (OR match).

created_at[gte]
string

created_at greater-than-or-equal.

created_at[lte]
string

created_at less-than-or-equal.

updated_at[eq]
string

Exact match on updated_at.

updated_at[in]
string

Comma-separated updated_at values (OR match).

updated_at[gte]
string

updated_at greater-than-or-equal.

updated_at[lte]
string

updated_at less-than-or-equal.

Response

200 - application/json

A paginated list of inventory.

data
object
required
request_id
string
required